Skip to content
中文

GET /vidu/v2/tasks/{task_id}/creations

Method: GETEndpoint: /vidu/v2/tasks/{task_id}/creations

Request Parameters

Path Parameters

text
task_id
string
Required

Header Parameters

text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Example Request

Shell

bash
curl --location --request GET '/vidu/v2/tasks//creations' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw ''

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
object

Example

json
{
    "id": "your_task_id",
    "state": "success",
    "err_code": "",
    "credits": 4,
    "payload": "",
    "creations": [
        {
            "id": "your_creations_id",
            "url": "your_generated_results_url",
            "cover_url": "your_generated_results_cover_url",
            "watermarked_url": "your_generated_results_watermarked_url"
        }
    ]
}